# file      : build/cxx/intel/o-e.make
# author    : Boris Kolpackov <boris@kolpackov.net>
# copyright : Copyright (c) 2004 Boris Kolpackov
# license   : GNU GPL v2; http://www.gnu.org/licenses/gpl.txt

$(call include,$(bld_root)/cxx/intel/configuration.make)

vpath %.a $(cxx_intel_libraries)
vpath %.so $(cxx_intel_libraries)

$(out_root)/%.e: ld := $(cxx_intel)
$(out_root)/%.e: ld_options := $(cxx_intel_optimization_options) $(cxx_intel_debugging_options)

$(out_root)/%.e: | $$(dir\ $(out_root)/%).
	$(call message,"ld  $(basename $@)",$(ld) $(ld_options) -o $(basename $@) \
$(foreach f,$^,$(if $(patsubst %.l,,$f),$f,$(shell sed -e '/^-I/ d' $f))) && \
ln -f -s ./$(basename $(notdir $@)) $@)


.PHONY: $(out_root)/%.e.clean

$(out_root)/%.e.clean:
	$(call message,rm $(basename $(basename $@)),rm -f $(basename $@) $(basename $(basename $@)))
